{*
* 2007-2022 ETS-Soft
*
* NOTICE OF LICENSE
*
* This file is not open source! Each license that you purchased is only available for 1 wesite only.
* If you want to use this file on more websites (or projects), you need to purchase additional licenses.
* You are not allowed to redistribute, resell, lease, license, sub-license or offer our resources to any third party.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs, please contact us for extra customization service at an affordable price
*
*  @author ETS-Soft <etssoft.jsc@gmail.com>
*  @copyright  2007-2022 ETS-Soft
*  @license    Valid for 1 website (or project) for each purchase of license
*  International Registered Trademark & Property of ETS-Soft
*}

<table class="table">
    <thead>
    <tr>
        <th class="center">{l s='ID' mod='ets_helpdesk'}</th>
        <th class="center">{l s='Avatar' mod='ets_helpdesk'}</th>
        <th class="left">{l s='Staff' mod='ets_helpdesk'}</th>
        <th class="center">{l s='Rating' mod='ets_helpdesk'}</th>
        <th class="center">{l s='Closed ticket' mod='ets_helpdesk'}</th>
        <th class="center">{l s='Pending ticket' mod='ets_helpdesk'}</th>
    </tr>
    </thead>
    <tbody>
    {if isset($top_staffs) && $top_staffs}
        {assign var="ik" value=0}
        {foreach from=$top_staffs item='row'}
            <tr class="{if $ik%2==0}odd{/if}">
                <td class="id center">{$row.id|intval}</td>
                <td class="avatar center">
                    {if $row.avatar !== ''}
                        <img src="{$row.avatar nofilter}" title="" width="98" />
                    {else}--{/if}
                </td>
                <td class="staff left">
                    <span>{$row.staff|escape:'html':'UTF-8'}</span>
                </td>
                <td class="rating-ticket center">
                    <div class="ets-hd-ticket-rating">
                        <div class="ets-hd-rating" data-rating="{$row.rating_ticket|round:1|floatval}">
                            <div class="ets-hd-star-full">
                                {for $rate=1 to 5}
                                    <div class="ets-hd-star" data-number="{$rate|intval}">
                                        <svg class="w_14 h_14" width="14" height="14" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1728 647q0 22-26 48l-363 354 86 500q1 7 1 20 0 21-10.5 35.5t-30.5 14.5q-19 0-40-12l-449-236-449 236q-22 12-40 12-21 0-31.5-14.5t-10.5-35.5q0-6 2-20l86-500-364-354q-25-27-25-48 0-37 56-46l502-73 225-455q19-41 49-41t49 41l225 455 502 73q56 9 56 46z"/></svg>
                                    </div>
                                {/for}
                            </div>
                            <div class="ets-hd-star-half">
                                {for $rate=1 to 5}
                                    <div class="ets-hd-star" data-number="{$rate|intval}">
                                        <svg class="w_14 h_14" width="14" height="14" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1250 957l257-250-356-52-66-10-30-60-159-322v963l59 31 318 168-60-355-12-66zm452-262l-363 354 86 500q5 33-6 51.5t-34 18.5q-17 0-40-12l-449-236-449 236q-23 12-40 12-23 0-34-18.5t-6-51.5l86-500-364-354q-32-32-23-59.5t54-34.5l502-73 225-455q20-41 49-41 28 0 49 41l225 455 502 73q45 7 54 34.5t-24 59.5z"/></svg>
                                    </div>
                                {/for}
                            </div>
                            <div class="ets-hd-star-empty">
                                {for $rate=1 to 5}
                                    <div class="ets-hd-star" data-number="{$rate|intval}">
                                        <svg class="w_14 h_14" width="14" height="14" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1201 1004l306-297-422-62-189-382-189 382-422 62 306 297-73 421 378-199 377 199zm527-357q0 22-26 48l-363 354 86 500q1 7 1 20 0 50-41 50-19 0-40-12l-449-236-449 236q-22 12-40 12-21 0-31.5-14.5t-10.5-35.5q0-6 2-20l86-500-364-354q-25-27-25-48 0-37 56-46l502-73 225-455q19-41 49-41t49 41l225 455 502 73q56 9 56 46z"/></svg>
                                    </div>
                                {/for}
                            </div>
                        </div>
                    </div>
                </td>
                <td class="closed-ticket center">{$row.closed_ticket|intval}</td>
                <td class="pending-ticket center">{$row.pending_ticket|intval}</td>
            </tr>
            {assign var="ik" value=$ik++}
        {/foreach}
    {else}
        <tr>
            <td colspan="6">
                <p class="no_data">{l s='No data' mod='ets_helpdesk'}</p>
            </td>
        </tr>
    {/if}
    </tbody>
</table>
